// When window loads initialize ourselves
window.addEventListener('load', habarixenuContextInit, false);
var item;
var hxTabAdded = false;

function habarixenuContextInit() {
    if (document.getElementById('contentAreaContextMenu')) {
	item = document.getElementById('habarixenu-context-addfeed');

	// When popup shows run toggleDetail
	document.getElementById('contentAreaContextMenu').addEventListener('popupshowing',toggleDisplay,false);
	return false;
    }
}

function toggleDisplay () {
    try {
	// Only show 'Subscribe' in context menu if user wants it
	const XPPREF = Components.classes["@mozilla.org/preferences;1"].getService(Components.interfaces.nsIPrefBranch);	
	if (XPPREF.getBoolPref('extensions.habarixenu.show_subscribe_in_context')) {
	    gContextMenu.showItem("habarixenu-context-addfeed", gContextMenu.onLink);
	} else {
	    gContextMenu.showItem("habarixenu-context-addfeed", false);
	}
    } catch (e) {
	gContextMenu.showItem("habarixenu-context-addfeed", false);
    }
}


// A function that is used to subsribe to a link through context menu
function hxSubscribe() {
    // Note: var gContextMenu is defined at 
    // chrome://browser|communicator/content/contentAreaContextOverlay.xul
    var bookmarkXUL = (navigator.userAgent.indexOf('irefox') == -1) ? 'chrome://communicator/content/bookmarks/addBookmark.xul' : 'chrome://browser/content/bookmarks/addBookmark.xul';
    var subscribeFeedURL = 'getLinkURL' in gContextMenu ? gContextMenu.getLinkURL() : gContextMenu.linkURL();
    window.openDialog(bookmarkXUL, '', 'centerscreen,chrome,dialog=no,resizable=yes', gContextMenu.linkText(), subscribeFeedURL);
}
